<?php

namespace App\Generated\V1_1\Messages\Friend;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class ChangeContactNoteMessage extends Message
{
    use ValueHelper;

    protected $contactUid;
    protected $note;

    /**
     * @return int
     */
    public function getContactUid()
    {
        return $this->contactUid;
    }

    /**
     * @return string
     */
    public function getNote()
    {
        return $this->note;
    }

    public function requestRules()
    {
        return [
            ['contactUid', 'contact_uid', 'bail|integer', Constants::INTEGER, null],
            ['note', 'note', 'bail|string', Constants::STRING, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
